<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: epg/api/list_broadcasts_response.proto

namespace Tellie\Epg\Api;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.epg.api.ListBroadcastsResponse</code>
 */
class ListBroadcastsResponse extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Broadcast broadcasts = 1;</code>
     */
    private $broadcasts;
    /**
     * Generated from protobuf field <code>string next_page_token = 2;</code>
     */
    protected $next_page_token = '';

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type array<\Tellie\Epg\Model\Broadcast>|\Google\Protobuf\Internal\RepeatedField $broadcasts
     *     @type string $next_page_token
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Epg\Api\ListBroadcastsResponse::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Broadcast broadcasts = 1;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getBroadcasts()
    {
        return $this->broadcasts;
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Broadcast broadcasts = 1;</code>
     * @param array<\Tellie\Epg\Model\Broadcast>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setBroadcasts($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tellie\Epg\Model\Broadcast::class);
        $this->broadcasts = $arr;

        return $this;
    }

    /**
     * Generated from protobuf field <code>string next_page_token = 2;</code>
     * @return string
     */
    public function getNextPageToken()
    {
        return $this->next_page_token;
    }

    /**
     * Generated from protobuf field <code>string next_page_token = 2;</code>
     * @param string $var
     * @return $this
     */
    public function setNextPageToken($var)
    {
        GPBUtil::checkString($var, True);
        $this->next_page_token = $var;

        return $this;
    }

}

